Bug 1146096 - Alert definition/notifications show with unknown configuration
Summary: Alert definition/notifications show with unknown configuration
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI, Core Server, Documentation, Monitoring - Alerts
Version: JON 3.2.3
Hardware: All
OS: All
medium
medium
Target Milestone: ER05
: JON 3.3.0
Assignee: Jay Shaughnessy
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-24 12:48 UTC by dsteigne
Modified: 2018-12-06 18:03 UTC (History)
2 users (show)

(edit)
It was discovered that when an alert notification definition becomes invalid, the GUI displays all notification definitions as unknown. The fix implements improvements to the server-side alert notification code. Error messages now display information that describes the issue for the invalid alert notification. Other notification definitions remain unaffected and their alert notifications display normally.
Clone Of:
(edit)
Last Closed: 2014-12-11 14:01:18 UTC


Attachments (Terms of Use)
NotificationConfigList (12.49 KB, image/png)
2014-10-31 12:06 UTC, Sunil Kondkar
no flags Details
MessageCenter (41.52 KB, image/png)
2014-10-31 12:07 UTC, Sunil Kondkar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1208223 None None None Never

Description dsteigne 2014-09-24 12:48:36 UTC
Description of problem:
All Alert definition/notifications show with unknown configuration if 
one of the resource's id has changed, via uninventory/re-inventory or deletion and create new.

Version-Release number of selected component (if applicable):
3.2.3

How reproducible:
Always

Steps to Reproduce:
1. Create an Alert Definition and add multiple notifications for it, i.e. a Direct Email, a CLI Script and a Resource Operation
2. Make the Resource Operation notification an Execute on an EAP Script resource.
3. Save the Alert Definition.
4. Either delete the script or uninventory the EAP Server.  Then either add the script back or re-inventory the EAP server (anything that would change the script's resourceid in the database.
5. Now navigate back to the Alert Definition > Notifications> the Script Operation notification doesn't show the resource just the script to execute (this is as expected)
6. Double-click on the Script Operation Notification as if you were going to edit it, don't add a new resource just click Cancel.
7. Now all the Configuration values for all Notifications not just the Operation show as Unknown.

Actual results:
All the Configuration values for all Notifications not just the Operation show as Unknown.


Expected results:
Only the notification with the unknown resource should show as unknown.

Additional info:

Comment 1 Jay Shaughnessy 2014-10-09 17:40:19 UTC
master commit de7eb1656ba4dcea5eac24b071e9e4d6cd4f2de9
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Thu Oct 9 13:36:46 2014 -0400

 - Don't let a bad notification summary break display of the list of summaries,
 instead show an error describing the problem (like File Not Found).  Note
 that this message comes from the server and therefore can not be localized.
 - provide better Message Center error when going into the detail dialog
 (presumably to change to a valid resource)
 - Fix a broken icon issue when viewing successful operation notifications and
 their "Deferred" status.


commit ac9ad54e1972f09d0f3aefc7805cd20a22b04e06
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Thu Oct 9 13:36:46 2014 -0400

    (cherry picked from commit de7eb1656ba4dcea5eac24b071e9e4d6cd4f2de9)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>

Comment 3 Simeon Pinder 2014-10-21 20:24:02 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734

Comment 4 Sunil Kondkar 2014-10-31 12:05:33 UTC
Verified on JON 3.3 ER05

Verified that only the Alert definition/notifications for the Resource Operation notification where resource id is changed via uninventory/re-inventory displays the error with message - "Error! There is a problem with this notification: A resource with id <resource ID> does not exist in inventory."

All other notifications in the list shows the valid configuration details.

When double clicked on the Resource Operation notification where resource id is changed, the message center shows Error - "Cannot get alert sender configuration definition" 

Please refer the attached screenshots.

Comment 5 Sunil Kondkar 2014-10-31 12:06:45 UTC
Created attachment 952467 [details]
NotificationConfigList

Comment 6 Sunil Kondkar 2014-10-31 12:07:21 UTC
Created attachment 952468 [details]
MessageCenter


Note You need to log in before you can comment on or make changes to this bug.